#include <bits/stdc++.h>
using namespace std;

long long int izracunaj_povrsinu(long long x1, long long y1, long long x2, long long y2, long long x3, long long y3)
{
	long long int povrsina = abs(x1*(y2-y3) + x2*(y3-y1) + x3*(y1-y2)) / 2;
	return povrsina;
}

int main()
{
	int N;
	cin >> N;
	long long x[N], y[N];
	for (int i=0; i<N; i++)
		cin >> x[i] >> y[i];
	long long int min = izracunaj_povrsinu(x[0], y[0], x[1], y[1], x[2], y[2]);
	for(int i=0; i<N; i++)
	{
		for (int j=i+1; j<N; j++)
		{
			for (int m=j+1; m<N; m++)
			{
				long long int povrsina = izracunaj_povrsinu(x[i], y[i], x[j], y[j], x[m], y[m]);
				if ( povrsina < min)
					min = povrsina;
			}
		}
	}
	cout << min;
	
	return 0;
}